<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport"
              content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Tagihan Mahasiswa</title>
    </head>
    <body>
        <div layout:fragment="main">
            <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
                <div class="container-fluid">
                    <div class="header-body">
                        <!-- Card stats -->
                        <div class="row">
                            <div class="col-xl-12 col-lg-12">
                                <div class="card card-stats mb-4 mb-xl-0">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col">
                                                <h5 class="card-title text-uppercase text-muted mb-0">Form</h5>
                                                <span class="h2 font-weight-bold mb-0">List </span>
                                            </div>
                                            <div class="col-auto">
                                                <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                                    <i class="fas fa-calendar"></i>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>

            <div class="container-fluid mt--7">
                <div class="row">
                    <div class="col-md-12 col-xs-12">
                        <div class="card shadow">

                            <div class="card-header border-0">
                                <div class="row align-items-center">
                                    <div class="col">
                                        <h3 class="mb-0"> List Tagihan</h3>
                                    </div>
<!--                                    <div class="col text-right">-->
<!--                                        <a th:href="@{/studentBill/billAdmin/tagihan}" class="btn btn-sm btn-info"><i class="fas fa-eye"></i> Semua Tagihan</a>-->
<!--                                    </div>-->
                                </div>
                            </div>
                            <div class="card-body">

                                <div class="nav-wrapper mb-4">
                                    <ul class="nav nav-pills nav-fill flex-column flex-md-row" id="tabs-icons-text" role="tablist">
                                        <li class="nav-item">
                                            <a class="nav-link mb-sm-3 mb-md-0 active" id="tabs-icons-text-1-tab" data-toggle="tab" href="#tabs-icons-text-1" role="tab" aria-controls="tabs-icons-text-1" aria-selected="true"> Mahasiswa</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link mb-sm-3 mb-md-0" id="tabs-icons-text-2-tab" data-toggle="tab" href="#tabs-icons-text-2" role="tab" aria-controls="tabs-icons-text-2" aria-selected="true"> Prodi</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link mb-sm-3 mb-md-0" id="tabs-icons-text-3-tab" data-toggle="tab" href="#tabs-icons-text-3" role="tab" aria-controls="tabs-icons-text-3" aria-selected="true"> Angkatan</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link mb-sm-3 mb-md-0" id="tabs-icons-text-4-tab" data-toggle="tab" href="#tabs-icons-text-4" role="tab" aria-controls="tabs-icons-text-4" aria-selected="true">Piutang</a>
                                        </li>
                                    </ul>
                                </div>
                                <div class="tab-content" id="myTabContent">
                                    <div class="tab-pane fade show active" id="tabs-icons-text-1" role="tabpanel" aria-labelledby="tabs-icons-text-1-tab">
                                        <form method="get">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Tahun Akademik</label>
                                                        <select name="tahunAkademik" required class="form-control">
                                                            <option value=""></option>
                                                            <option th:each="data : ${tahunAkademik}"
                                                                    th:selected="(${data} == *{selectTahun})"
                                                                    th:text="${data.namaTahunAkademik}"
                                                                    th:value="${data.id}">STEI TAZKIA</option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="nim">NIM</label>
                                                        <input type="number" name="nim" th:value="${selectNim}" required class="form-control" id="nim">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-12" style="text-align: center">
                                                    <div class="form-group">
                                                        <button type="submit" class="btn btn-primary" > Show</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </form>
                                        <div class="alert alert-danger" th:if="${message != null && selectTahun != null}">
                                            NIM tidak terdaftar!!
                                        </div>
                                        <div class="card-body" th:if="${selectTahun != null && mhs != null || (id != null && !id.isEmpty() )}">
                                            <div class="card shadow">
                                                <div class="row">
                                                    <div class="col-md-6 col-xs-12">
                                                        <div class="table-responsive">
                                                            <table class="table align-items-center table-flush">
                                                                <tr>
                                                                    <td class="text-right">Mahasiswa</td>
                                                                    <td>:</td>
                                                                    <td th:text="${mahasiswa.nama}"></td>
                                                                </tr>
                                                                <tr>
                                                                    <td class="text-right">Program Studi</td>
                                                                    <td style="width: 5px;">:</td>
                                                                    <td th:text="${mahasiswa.idProdi.namaProdi}"></td>
                                                                </tr>
                                                                <tr>
                                                                    <td class="text-right">Jumlah Sks</td>
                                                                    <td>:</td>
                                                                    <td th:text="${jumlahSks}"></td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6 col-xs-12">
                                                        <div class="table-responsive">
                                                            <table class="table align-items-center table-flush">
                                                                <tr>
                                                                    <td class="text-right">NIM</td>
                                                                    <td >:</td>
                                                                    <td th:text="${mahasiswa.nim}"></td>
                                                                </tr>
                                                                <tr>
                                                                    <td class="text-right" >Program Pendidikan</td>
                                                                    <td style="width: 5px;">:</td>
                                                                    <td th:text="${mahasiswa.idProgram.namaProgram}"></td>
                                                                </tr>
                                                                <tr>
                                                                    <td class="text-right">Status Semester</td>
                                                                    <td>:</td>
                                                                    <td th:if="${status == null}">Nonaktif (<text th:text="${mhs.statusAktif}"></text>)</td>
                                                                    <td th:if="${status}">Aktif (<text th:text="${mhs.statusAktif}"></text>)</td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-12 mt-4">
                                                        <div class="table-responsive">
                                                            <table class="table align-items-center table-flush">
                                                                <thead class="thead-light">
                                                                <tr class="text-center">
                                                                    <th>Tahun Akademik</th>
                                                                    <th>Bipot</th>
                                                                    <th>Total Biaya</th>
                                                                    <th>Total Potongan</th>
                                                                    <th>Total Bayar</th>
                                                                    <th>Total Penarikan</th>
                                                                    <th>Sisa</th>
                                                                </tr>
                                                                </thead>
                                                                <tbody>
                                                                <tr class="text-center" th:each="data, row : ${sisaTagihan}">
                                                                    <td th:text="${data.getNamaTahun()}"></td>
                                                                    <td></td>
                                                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(data.getTagihan(), 0, 'POINT', 2, 'COMMA')}"></td>
                                                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(data.getPotongan(), 0, 'POINT', 2, 'COMMA')}">0</td>
                                                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(data.getDibayar(), 0, 'POINT', 2, 'COMMA')}">0</td>
                                                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(data.getPenarikan(), 0, 'POINT', 2, 'COMMA')}">0</td>
                                                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(data.getSisa(), 0, 'POINT', 2, 'COMMA')}">0</td>
                                                                </tr>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="card shadow mt-5">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <a class="btn btn-success btn-sm mb-2" th:href="@{/studentBill/billAdmin/form(tahunAkademik = ${selectTahun.id}, nim = ${selectNim})}"><i class="fa fa-plus-square"></i> Tambah Tagihan</a>
                                                    </div>
                                                </div>
                                                <div class="bg-primary text-white text-center">Daftar Biaya & Potongan (BIPOT)</div>
                                                <div class="table-responsive">
                                                    <table class="table align-items-center table-flush">
                                                        <thead class="thead-dark">
                                                        <tr>
                                                            <td class="text-center">#</td>
                                                            <td >Keterangan</td>
                                                            <td class="text-right">Tagihan</td>
                                                            <td class="text-right">Dibayar</td>
                                                            <td> Status</td>
                                                            <td></td>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <tr th:each="data, row:${daftarBiaya}">
                                                            <td th:text="${(row.index + 1)}">1</td>
                                                            <td th:text="${data.nilaiJenisTagihan.jenisTagihan.nama}"></td>
                                                            <td class="text-right" th:text="${'Rp. ' + #numbers.formatDecimal(data.nilaiTagihan, 0, 'POINT', 2, 'COMMA')}"></td>
                                                            <td class="text-right" th:text="${'Rp. ' + #numbers.formatDecimal(data.akumulasiPembayaran, 0, 'POINT', 2, 'COMMA')}"></td>
                                                            <td>
                                                                <a  class="btn btn-info btn-sm" href="#!"
                                                                    th:if="${data.statusTagihan.AKTIF} == ${data.statusTagihan}"
                                                                    th:text="${data.statusTagihan}">
                                                                </a>

                                                                <a  class="btn btn-danger btn-sm" href="#!"
                                                                    th:if="${data.statusTagihan.NONAKTIF} == ${data.statusTagihan}"
                                                                    th:text="${data.statusTagihan}">
                                                                </a>

                                                                <a type="button" class="btn btn-success btn-sm" href="#!"
                                                                   th:if="${data.statusTagihan.LUNAS} == ${data.statusTagihan}"
                                                                   th:text="${data.statusTagihan}">
                                                                </a>

                                                                <a type="button" class="btn btn-warning btn-sm" href="#!"
                                                                   th:if="${data.statusTagihan.DICICIL} == ${data.statusTagihan}"
                                                                   th:text="${data.statusTagihan}">
                                                                </a>

                                                                <a type="button" class="btn btn-danger btn-sm" href="#!"
                                                                   th:if="${data.statusTagihan.NUNGGAK} == ${data.statusTagihan}"
                                                                   th:text="${data.statusTagihan}">
                                                                </a>

                                                                <a type="button" class="btn btn-warning btn-sm" href="#!"
                                                                   th:if="${data.statusTagihan.DITANGGUHKAN} == ${data.statusTagihan}"
                                                                   th:text="${data.statusTagihan}">
                                                                </a>

                                                                <a type="button" class="btn btn-warning btn-sm" href="#!"
                                                                   th:if="${data.statusTagihan.PERINGANAN} == ${data.statusTagihan}"
                                                                   th:text="${data.statusTagihan}">
                                                                </a>

                                                                <a type="button" class="btn btn-primary btn-sm" href="#!"
                                                                   th:if="${data.statusTagihan.BEASISWA} == ${data.statusTagihan}"
                                                                   th:text="${data.statusTagihan}">
                                                                </a>
                                                            </td>
                                                            <td class="text-center">
                                                                <a th:href="@{/studentBill/billAdmin/detail(tagihan = ${data.id})}" data-toggle="tooltip" title="Detail" class="btn btn-primary btn-sm"><i class="fas fa-eye"></i></a>
                                                                <a th:href="@{/studentBill/billAdmin/edit(id = ${data.id})}" data-toggle="tooltip" title="Edit" class="btn btn-warning btn-sm"><i class="fas fa-pen"></i></a>
                                                                <text th:if="${data.lunas} == false">
                                                                    <text th:if="${data.statusTagihan == data.statusTagihan.AKTIF}">
                                                                        <a th:href="@{/studentBill/payment/manual(id=${data.id})}" data-toggle="tooltip" title="Pembayaran" class="btn btn-default btn-sm"><i class="fas fa-money-bill-wave"></i></a>
                                                                    </text>
<!--                                                                    <a th:href="@{/studentBill/diskon/form(id=${data.id})}" data-toggle="tooltip" title="Diskon" class="btn btn-info btn-sm"><i class="fas fa-tag"></i></a>-->

                                                                    <button type="button" class="btn btn-danger btn-sm" data-toggle="modal" title="Hapus" th:data-target="${'#modal-notification' + data.id}">
                                                                        <i class="fas fa-trash"></i>
                                                                    </button>

                                                                    <div class="modal fade" th:id="${'modal-notification' + data.id}" tabindex="-1" role="dialog" aria-labelledby="modal-notification" aria-hidden="true">
                                                                        <div class="modal-dialog modal-danger modal-dialog-centered modal-" role="document">
                                                                            <div class="modal-content bg-gradient-danger">

                                                                                <div class="modal-header">
                                                                                    <h6 class="modal-title" id="modal-title-notification">Your attention is required</h6>
                                                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                        <span aria-hidden="true">×</span>
                                                                                    </button>
                                                                                </div>

                                                                                <div class="modal-body">

                                                                                    <div class="py-3 text-center">
                                                                                        <i class="far fa-trash-alt fa-3x"></i>
                                                                                        <h4 class="heading mt-4">Are you sure ?</h4>
                                                                                        <p>Once deleted, you will not be able to recover this imaginary file!</p>
                                                                                    </div>

                                                                                </div>

                                                                                <div class="modal-footer">
                                                                                    <form method="post" th:action="@{/studentBill/billAdmin/delete(tagihan = ${data.id})}">
                                                                                        <button type="submit" class="btn btn-white">Delete</button>
                                                                                    </form>
                                                                                    <button type="button" class="btn btn-link text-white ml-auto" data-dismiss="modal">Close</button>
                                                                                </div>

                                                                            </div>
                                                                        </div>
                                                                    </div>

                                                                </text>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td class="text-center" colspan="2"><h5>Total : </h5></td>
                                                            <td class="text-right"><h5 th:text="${'Rp. ' + #numbers.formatDecimal(totalTagihan, 0, 'POINT', 2, 'COMMA')}"></h5></td>
                                                            <td class="text-right"><h5 th:text="${'Rp. ' + #numbers.formatDecimal(totalDibayar, 0, 'POINT', 2, 'COMMA')}"></h5></td>
                                                        </tr>
                                                        <tr>
                                                            <td class="text-center" colspan="2"><h5>Sisa : </h5></td>
                                                            <td colspan="2" class="text-right"><h5 th:text="${'Rp. ' + #numbers.formatDecimal(totalTagihan - totalDibayar, 0, 'POINT', 2, 'COMMA')}"></h5></td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>

                                            <div class="card shadow mt-5">
                                                <div class="bg-primary text-white text-center">Daftar Pembayaran dan Penarikan</div>
                                                <div class="table-responsive">
                                                    <table class="table align-items-center table-flush">
                                                        <thead class="thead-dark">
                                                        <tr class="text-center">
                                                            <td>#</td>
                                                            <td>Tanggal</td>
                                                            <td>Nomor Bukti</td>
                                                            <td>Jumlah</td>
                                                            <td>Keterangan</td>
                                                            <td class="text-center">Cetak <br> BPM</td>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <tr th:each="data, row:${daftarPembayaran}">
                                                            <td class="text-center" th:text="${(row.index + 1)}">1</td>
                                                            <td class="text-center" th:text="${data.getTanggal()}"></td>
                                                            <td class="text-center" th:text="${data.getNomorBukti()}"></td>
                                                            <td class="text-center" th:text="${'Rp. ' + #numbers.formatDecimal(data.getJumlah(), 0, 'POINT', 2, 'COMMA')}"></td>
                                                            <td class="text-center" th:text="${data.getKeterangan()}"></td>
                                                            <td class="text-center"><a th:href="@{/buktiPembayaran(pembayaran = ${data.getIdPembayaran()})}" class="fas fa-print text-lg"></a></td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <!-- Tagihan Per Prodi -->

                                    <div class="tab-pane fade" id="tabs-icons-text-2" role="tabpanel" aria-labelledby="tabs-icons-text-2-tab">
                                        <div class="card-body">
                                            <form method="get">
                                                <div class="row">
                                                    <div class="col-md-10">
                                                        <div class="form-group">
                                                            <select name="tahunAkademik" required class="form-control" id="select2-tahun">
                                                                <option value=""></option>
                                                                <option th:each="data : ${tahunAkademik}"
                                                                        th:selected="(${data} == *{selectTahun})"
                                                                        th:text="${data.namaTahunAkademik}"
                                                                        th:value="${data.id}">STEI TAZKIA</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2" th:if="${tanggal1 == null}">
                                                        <div class="input-group mb-3">
                                                            <div class="input-group-append">
                                                                <button class="btn btn-primary" type="submit"><i class="fas fa-eye"></i> &nbsp;Show</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </form>
                                            <form method="get" th:if="${tahun == null}">
                                                <div class="row">
                                                    <input type="hidden" name="tahunAkademik" th:value="${tahunPilihan.id}">
                                                    <div th:if="${tanggal1 != null}" class="col-md-3">
                                                        <a class="text-white" th:href="@{/studentBill/billAdmin/list(tahunAkademik=${tahunPilihan.id})}"><div class="btn btn-secondary btn-block"><i class="fas fa-arrow-circle-left"></i> Back</div></a>
                                                    </div>
                                                    <div th:if="${tanggal1 == null}" class="col-md-3">
                                                        <button type="button" class="btn btn-success btn-block"><a class="text-white" th:href="@{/billReport/prodi(tahun=${tahunPilihan.id})}">Download XLSX</a></button>
<!--                                                        <form th:action="@{/billReport/prodi}" method="get">-->
<!--                                                            <input type="hidden" name="tahunAkademik" th:value="${tahunPilihan.id}">-->
<!--                                                            <div class="form-group">-->
<!--                                                                <input type="submit" class="btn btn-success btn-block" value="Download XLSX">-->
<!--                                                            </div>-->
<!--                                                        </form>-->
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="input-group mb-3">
                                                            <input type="date" name="date1" class="form-control" placeholder="Tanggal Mulai" th:value="${tanggal1}">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-1">
                                                        <div class="center input-group mt-2 ml-3">
                                                            To
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="input-group mb-3">
                                                            <input type="date" name="date2" class="form-control" placeholder="Tanggal Mulai" th:value="${tanggal2}">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="input-group ">
                                                            <div class="input-group-append">
                                                                <button class="btn btn-info" type="submit"><i class="fas fa-search"></i> Search</button>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>
                                            </form>
                                            <div class="card shadow" th:if="${tahun == null}">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div th:if="${tanggal1 == null && tanggal2 == null}">
                                                            <div class="bg-primary text-white text-center">Daftar Tagihan per Prodi</div>
                                                            <div class="table-responsive">
                                                                <table class="table align-items-center table-flush">
                                                                    <thead class="thead-dark">
                                                                    <tr>
                                                                        <td>#</td>
                                                                        <td class="text-center">Nama Prodi</td>
                                                                        <td class="text-center">Total Tagihan</td>
                                                                        <td class="text-center">Dibayar</td>
                                                                        <td class="text-center">Sisa</td>
                                                                        <td class="text-center">Persentase Sisa Tagihan</td>
                                                                        <td class="text-center"></td>
                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                    <tr id="table-prodi" th:each="data, row:${listProdi}">
                                                                        <td th:text="${(row.index + 1)}">1</td>
                                                                        <td class="text-center">
                                                                            <a class="text-default" th:href="@{/studentBill/billAdmin/detailProdi(prodi=${data.Id}, tahunAkademik=${tahunPilihan.id})}"
                                                                               th:text="${data.Prodi}"></a>
                                                                        </td>
                                                                        <td class="text-center" th:text="${'Rp. ' + #numbers.formatDecimal(data.Tagihan, 0, 'POINT', 2, 'COMMA')}"></td>
                                                                        <td class="text-center" th:text="${'Rp. ' + #numbers.formatDecimal(data.Dibayar, 0, 'POINT', 2, 'COMMA')}"></td>
                                                                        <td class="text-center" th:text="${'Rp. ' + #numbers.formatDecimal(data.Sisa, 0, 'POINT', 2, 'COMMA')}"></td>
                                                                        <td class="text-center" th:text="${data.Percentage+'%'}"></td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td colspan="2" class="text-right"><h5>Total : </h5></td>
                                                                        <td class="text-center"><h5 th:text="${'Rp. ' + #numbers.formatDecimal(toTagihan, 0, 'POINT', 2, 'COMMA')}"></h5></td>
                                                                        <td class="text-center"><h5 th:text="${'Rp. ' + #numbers.formatDecimal(toDibayar, 0, 'POINT', 2, 'COMMA')}"></h5></td>
                                                                        <td class="text-center"><h5 th:text="${'Rp. ' + #numbers.formatDecimal(toTagihan - toDibayar, 0, 'POINT', 2, 'COMMA')}"></h5></td>
                                                                    </tr>
                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                        <div th:if="${tanggal1 != null && tanggal2 != null}">
                                                            <div class="bg-primary text-white text-center">Dartar Pemasukan per Prodi</div>
                                                            <div class="table-responsive">
                                                                <table class="table align-items-center table-flush">
                                                                    <thead class="thead-dark">
                                                                    <tr>
                                                                        <td>#</td>
                                                                        <td class="text-center">Nama Prodi</td>
                                                                        <td class="text-center">Pemasukan</td>
                                                                        <td class="text-center"></td>
                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                    <tr th:each="data, row:${listProdiDate}">
                                                                        <td th:text="${(row.index + 1)}">1</td>
                                                                        <td class="text-center" th:text="${data[0]}"></td>
                                                                        <td class="text-center" th:text="${'Rp. ' + #numbers.formatDecimal(data[1], 0, 'POINT', 2, 'COMMA')}"></td>
                                                                    </tr>
                                                                    <tr th:if="${listProdiDate} == null">
                                                                        <td class="text-center" th:text="Data Kosong"></td>
                                                                    </tr>
                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <!-- Tagihan per Angkatan -->

                                    <div class="tab-pane fade" id="tabs-icons-text-3" role="tabpanel" aria-labelledby="tabs-icons-text-3-tab">
                                        <div class="card-body">
                                            <form method="get">
                                                <div class="row">
                                                    <div class="col-md-10">
                                                        <div class="form-group">
                                                            <select name="tahunAkademik" required class="form-control">
                                                                <option value=""></option>
                                                                <option th:each="data : ${tahunAkademik}"
                                                                        th:selected="(${data} == *{selectTahun})"
                                                                        th:text="${data.namaTahunAkademik}"
                                                                        th:value="${data.id}">STEI TAZKIA</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2" th:if="${tanggal3 == null}">
                                                        <div class="input-group mb-3">
                                                            <div class="input-group-append">
                                                                <button class="btn btn-primary" type="submit"><i class="fas fa-eye"></i> &nbsp;Show</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </form>
                                            <form method="get" th:if="${tahun == null}">
                                                <div class="row">
                                                    <input type="hidden" name="tahunAkademik" th:value="${tahunPilihan.id}">
                                                    <div th:if="${tanggal3 != null}" class="col-md-3">
                                                        <a class="text-white" th:href="@{/studentBill/billAdmin/list(tahunAkademik=${tahunPilihan.id})}"><div class="btn btn-info btn-block"><i class="fas fa-sync-alt"></i> Refresh</div></a>
                                                    </div>
                                                    <div th:if="${tanggal3 == null}" class="col-md-3">
                                                         <button type="button" class="btn btn-success btn-block"><a class="text-white" th:href="@{/billReport/angkatan(tahun=${tahunPilihan.id})}">Download XLSX</a></button>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="input-group mb-3">
                                                            <input type="date" name="date3" class="form-control" placeholder="Tanggal Mulai" th:value="${tanggal3}">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-1">
                                                        <div class="center input-group mt-2 ml-3">
                                                            To
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="input-group mb-3">
                                                            <input type="date" name="date4" class="form-control" placeholder="Tanggal Mulai" th:value="${tanggal4}">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="input-group mb-3">
                                                            <div class="input-group-append">
                                                                <button class="btn btn-info" type="submit"><i class="fas fa-search"></i> Search</button>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>
                                            </form>
                                            <div class="card shadow" th:if="${tahun == null}">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div th:if="${tanggal3 == null && tanggal4 == null}">
                                                            <div class="bg-primary text-white text-center">Daftar Tagihan per Angkatan</div>
                                                            <div class="table-responsive">
                                                                <table class="table align-items-center table-flush">
                                                                    <thead class="thead-light">
                                                                    <tr>
                                                                        <td>#</td>
                                                                        <td class="text-center">Angkatan</td>
                                                                        <td class="text-center">Total Tagihan</td>
                                                                        <td class="text-center">Dibayar</td>
                                                                        <td class="text-center">Sisa</td>
                                                                        <td class="text-center">Percentage Sisa Tagihan</td>
                                                                        <td class="text-center"></td>
                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                    <tr th:each="data, row:${listAngkatan}">
                                                                        <td th:text="${(row.index + 1)}">1</td>
                                                                        <td class="text-center">
                                                                            <a class="text-default" th:href="@{/studentBill/billAdmin/detailAngkatan(angkatan=${data.Angkatan}, tahunAkademik=${tahunPilihan.id})}"
                                                                            th:text="${data.Angkatan}"></a>
                                                                        </td>
                                                                        <td class="text-center" th:text="${'Rp. ' + #numbers.formatDecimal(data.Tagihan, 0, 'POINT', 2, 'COMMA')}"></td>
                                                                        <td class="text-center" th:text="${'Rp. ' + #numbers.formatDecimal(data.Dibayar, 0, 'POINT', 2, 'COMMA')}"></td>
                                                                        <td class="text-center" th:text="${'Rp. ' + #numbers.formatDecimal(data.Sisa, 0, 'POINT', 2, 'COMMA')}"></td>
                                                                        <td class="text-center" th:text="${data.Percentage+'%'}"></td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td class="text-right" colspan="2"><h5>Total : </h5></td>
                                                                        <td class="text-center"><h5 th:text="${'Rp. ' + #numbers.formatDecimal(toTagihan, 0, 'POINT', 2, 'COMMA')}"></h5></td>
                                                                        <td class="text-center"><h5 th:text="${'Rp. ' + #numbers.formatDecimal(toDibayar, 0, 'POINT', 2, 'COMMA')}"></h5></td>
                                                                        <td class="text-center"><h5 th:text="${'Rp. ' + #numbers.formatDecimal(toTagihan - toDibayar, 0, 'POINT', 2, 'COMMA')}"></h5></td>
                                                                    </tr>
                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                        <div th:if="${tanggal3 != null && tanggal4 != null}">
                                                            <div class="bg-primary text-white text-center">Dartar Pemasukan per Angkatan</div>
                                                            <div class="table-responsive">
                                                                <table class="table align-items-center table-flush">
                                                                    <thead class="thead-dark">
                                                                    <tr>
                                                                        <td>#</td>
                                                                        <td class="text-center">Angkatan</td>
                                                                        <td class="text-center">Pemasukan</td>
                                                                        <td class="text-center"></td>
                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                    <tr th:each="data, row:${listAngkatanDate}">
                                                                        <td th:text="${(row.index + 1)}">1</td>
                                                                        <td class="text-center" th:text="${data[0]}"></td>
                                                                        <td class="text-center" th:text="${'Rp. ' + #numbers.formatDecimal(data[1], 0, 'POINT', 2, 'COMMA')}"></td>
                                                                    </tr>
                                                                    <tr th:if="${listProdiDate} == null">
                                                                        <td class="text-center" th:text="Data Kosong"></td>
                                                                    </tr>
                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <!-- Piutang -->

                                    <div class="tab-pane fade" id="tabs-icons-text-4" role="tabpanel" aria-labelledby="tabs-icons-text-4-tab">
                                        <div class="card-body">
                                            <form method="get">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label>Tahun Akademik</label>
                                                            <select name="tahunAkademik" required class="form-control">
                                                                <option value=""></option>
                                                                <option th:each="data : ${tahunAkademik}"
                                                                        th:selected="(${data} == *{selectTahun})"
                                                                        th:text="${data.namaTahunAkademik}"
                                                                        th:value="${data.id}">STEI TAZKIA</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label>Prodi</label>
                                                            <select name="prodi" id="" class="form-control">
                                                                <option th:href="@{/studentBill/billAdmin/list(tahunAkademik=${selectTahun})}">ALL</option>
                                                                <option th:each="data : ${prodi}"
                                                                        th:selected="(${data} == *{selectProdi})"
                                                                        th:text="${data.namaProdi}"
                                                                        th:value="${data.id}">STEI TAZKIA</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-12" style="text-align: center">
                                                        <div class="form-group">
                                                            <button type="submit" class="btn btn-primary" ><i class="fas fa-eye"></i> Show</button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </form>
                                            <div class="card shadow" th:if="${tahun == null}">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="bg-primary text-white text-center">Daftar List Piutang</div>
                                                        <div class="table-responsive">
                                                            <table class="table align-items-center table-flush">
                                                                <thead class="thead-light">
                                                                <tr>
                                                                    <td>#</td>
                                                                    <td class="text-center">Status</td>
                                                                    <td class="text-center">Keterangan</td>
                                                                    <td class="text-center">Jumlah</td>
                                                                    <td class="text-center">Sisa Tagihan</td>
                                                                </tr>
                                                                </thead>
                                                                <tbody>
                                                                <tr th:each="data, row:${listPiutang}">
                                                                    <td th:text="${(row.index + 1)}">1</td>
                                                                    <td class="text-center">
                                                                        <a th:if="${selectProdi == null}" class="text-default" th:href="@{/studentBill/billAdmin/detailPiutang(tahunAkademik=${selectTahun.id}, status=${data[1]})}"
                                                                           th:text="${data[1]}"></a>
                                                                        <a th:if="${selectProdi != null}" class="text-default" th:href="@{/studentBill/billAdmin/detailPiutang(tahunAkademik=${selectTahun.id}, prodi=${selectProdi.id}, status=${data[1]})}"
                                                                           th:text="${data[1]}"></a>
                                                                    </td>
                                                                    <td class="text-center" th:text="${data[2]}"></td>
                                                                    <td class="text-center" th:text="${data[3]}"></td>
                                                                    <td class="text-center" th:text="${'Rp. ' + #numbers.formatDecimal(data[6], 0, 'POINT', 2, 'COMMA')}"></td>
                                                                </tr>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </body>
</html>

<script>
    $(document).ready(function (){
        $('a[data-toggle="tab"]').on('show.bs.tab', function (e){
            localStorage.setItem('activeTab', $(e.target).attr('href'));
        });
        var activeTab = localStorage.getItem('activeTab');
        var nim = document.getElementById("nim").value;
        if (nim){
            var tab = "#tabs-icons-text-1";
            $('#tabs-icons-text a[href="' + tab + '"]').tab('show');
            console.log(nim);
        }else if (activeTab){
            $('#tabs-icons-text a[href="' + activeTab + '"]').tab('show');
            console.log(activeTab);
        }
    });

    $(".js-example-placeholder-single").select2({
        placeholder: "Pilih Salah Satu",
        allowClear: true
    });




</script>